Subject: Re: bug#58149: guix pull error

From: Matthieu Haefele <[email-masked]>
Date: Thu, 6 Oct 2022 14:08:37 +0200

Le 06/10/2022 à 12:57, Maxime Devos a écrit :
>
>
> On 06-10-2022 12:10, Matthieu Haefele wrote:
>> 1. What am I doing wrong to have stuck to this old guix daemon all this time ? Shall I run this `sudo -i guix pull` regularly 
>> to keep my daemon up to date ? But then it looks like I am the only one who faced this issue, weird, no ? And problems should 
>> have started back in February, but I intensively worked on guix this summer, including some `guix pull`... If reasons are not 
>> too complicated, I am interested in getting some insights.
>
> IIUC, you installed Guix on a foreign distro.  If so, you could use your distro package manager to install & update the guix 
> daemon (apt-get install, apt-get update, apt-get upgrade on Debian).  It likely won't be the latest version, but it should be 
> close enough, and if not you could ask your distro to update their Guix.
>
>
Ok, so on a foreign distro, you would recommand to install guix via the package manager. I learned very recently that it was 
possible...

Thanks
Mat